Bug 171924 - abiword: icon(s) should follow icon-theme-spec
abiword: icon(s) should follow icon-theme-spec
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
: EasyFix, Patch, Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-10-27 16:54 EDT by Rex Dieter
Modified: 2009-07-14 13:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:24:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
abiword.desktop: abiword_48.png -> abiword (330 bytes, patch)
2006-01-09 08:10 EST, Rex Dieter
no flags Details | Diff

  None (edit)
Description Rex Dieter 2005-10-27 16:54:25 EDT
In order to follow the freedesktop.org Icon spec, abiword's icon(s) (currently
only a 48x48 icon) should be installed to

abiword.desktop should refer to it as:

And abiword.spec should include:
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

Also, /usr/share/pixmaps is for legacy ( <= fc3) desktops, and could probably be
dropped in newer versions (targetted for fc4+)
Comment 1 Rex Dieter 2006-01-05 11:11:27 EST
Still not fixed as of abiword-2.4.2-2.  (-:
Comment 2 Rex Dieter 2006-01-09 08:10:46 EST
Created attachment 122944 [details]
abiword.desktop: abiword_48.png -> abiword
Comment 3 Christian Iseli 2007-01-19 02:22:50 EST
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Comment 4 Rex Dieter 2007-01-19 08:35:08 EST
Confirmed devel/abiword still does not follow the icon-theme-spec:
Comment 5 Matthias Clasen 2007-05-06 19:32:09 EDT
Installing an icon directly in /usr/share/icons is really really misguided.
And this would be really easy to fix. 
Please fix it.
Comment 6 Bug Zapper 2008-04-03 12:35:29 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Rex Dieter 2008-04-03 12:41:27 EDT
Yes, still valid, but...

Honestly, it's 2+ years old report and an easy fix, and want this off my
bugzilla radar.  

Comment 8 Rex Dieter 2008-04-04 12:47:28 EDT
OK, my apologies for being overly crabby.  

Noticed abiword has cvsextras access, so...  Tell ya what, I'll offer to fix
this for you, if there are no objections, of course.
Comment 9 Marc Maurer 2008-04-04 13:13:04 EDT
Rex: feel free :) I'm just too damn busy getting bugs fixed for abi 2.6.1. I
_will_ get to this one when the dust settles.
Comment 10 Bug Zapper 2008-05-13 22:03:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 11 Bug Zapper 2009-06-09 18:04:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-07-14 13:24:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.